Subject: Re: bug#10467: BUG Report: coreutils 64bit Build on Solaris 10

From: Jim Meyering <[email-masked]>
Date: Mon, 09 Jan 2012 21:47:33 +0100

Pádraig Brady wrote:
> On 01/09/2012 08:24 PM, Jim Meyering wrote:
>> gfpmtipb GFP IP App ID wrote:
>>> coreutils-8.11
...
>>> /appl/archives/build_tools/tools/src/coreutils-8.11/tests/misc/env-null:
>>> line 33: 27709 Killed env -i PATH="$PATH" printenv -0 >out2
>>> + fail=1
>>
>> Thanks for the report.
>> The above (ld.so.1 cannot find libgcc_s.so.1) suggests that your
>> system is ill-configured.
>>
>> I didn't look closely at your other failure (timeout related),
>> mostly because there have been a lot of changes to it since the
>> version you tested: 8.11
>>
>> coreutils-8.15 was released just last week:
>>
>>     https://savannah.gnu.org/forum/forum.php?forum_id=7076
>>
>> If you find a problem with that newer version, we'd
>> appreciate another report.
>
> I think the other was related to stdbuf.

Thanks, you're right.

> I've not tested that on solaris and it may well not work
> due to libc of shared lib preloading differences.

I tested 8.15 on Solaris 10, and all tests passed:

  5.10 Generic_142900-06 sun4u sparc SUNW,Sun-Fire-V440 Solaris